from django.shortcuts import render
from django.views.generic import DetailView, ListView
from django.views.generic.base import TemplateView

from .models import Game, GameSystem


class GameList(ListView):
    model = Game
    queryset = Game.objects.order_by("-created")[:20]


class GameDetail(DetailView):
    model = Game


class GameSystemDetail(DetailView):
    model = GameSystem
